commit:     8b8525a6336bbde042d47d2855a8a127e63d7a4b
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 18 19:56:27 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Feb 18 21:16:49 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b8525a6

games-engines/openmw: 0.41.0 version bump

Gentoo-bug: 592864
Thanks-to: eroen <gentoo <AT> eroen.eu>

Package-Manager: portage-2.3.3

 games-engines/openmw/Manifest             |   1 +
 games-engines/openmw/openmw-0.41.0.ebuild | 135 ++++++++++++++++++++++++++++++
 2 files changed, 136 insertions(+)

diff --git a/games-engines/openmw/Manifest b/games-engines/openmw/Manifest
index 12c994a461..35e3e6a2e0 100644
--- a/games-engines/openmw/Manifest
+++ b/games-engines/openmw/Manifest
@@ -1 +1,2 @@
 DIST openmw-0.39.0.tar.gz 4764754 SHA256 
b0d294b0814099bd93326f7b86dd84fb727d38dd536bf104272112e6d70ae720 SHA512 
05b9ed89d04f55fad4358a9920af1d702a1957f54233e613737126278318e7c64cacfc557c6ba43d2282454a825b1c9e225e9429d11ba0f03c5c6dd93124d91a
 WHIRLPOOL 
bb3744e1fdf4e63c02c055237eb3a749ded32da097259f6f065d331681b214be932eeb4b654c91747fb5356dbb0e88f603e0f1a4113bb3f791f9e1b3d7e6b53f
+DIST openmw-0.41.0.tar.gz 4884093 SHA256 
a3e1c7d060dc461b9b63ceb5d9ec56b90c1bdcbfd37f0c7c7310c38ec7e3e21d SHA512 
a47a7af3c6d3252e22206eb776069ef87f698acbe133b0e0294db307486c28cb300085fcf45b436af541dbb22f6d45f2ee3998e50a1c711f667f8a738813255d
 WHIRLPOOL 
1e20820a0c5ee0ab2b3f57b881e39dc9ebf42e5e1674badce363ea654ac38f40146f8f8b86d7535a7cd5ce4c63f46cc322c482ad5c354ae6ad14dd11ee134d32

diff --git a/games-engines/openmw/openmw-0.41.0.ebuild 
b/games-engines/openmw/openmw-0.41.0.ebuild
new file mode 100644
index 0000000000..8c694c67b8
--- /dev/null
+++ b/games-engines/openmw/openmw-0.41.0.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils
+
+DESCRIPTION="Open source reimplementation of TES III: Morrowind"
+HOMEPAGE="https://openmw.org/";
+SRC_URI="https://github.com/OpenMW/openmw/archive/${P}.tar.gz";
+
+LICENSE="GPL-3 MIT BitstreamVera ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc devtools +qt5"
+
+# 0.37.0: >=media-video/ffmpeg-0.9 is required for swresample
+RDEPEND="
+       
>=dev-games/openscenegraph-3.3.4[ffmpeg,jpeg,png,qt5,sdl,svg,truetype,zlib]
+       dev-games/mygui
+       dev-libs/boost:=[threads]
+       dev-libs/tinyxml[stl]
+       media-libs/libsdl2[joystick,opengl,video,X]
+       media-libs/openal
+       || ( media-libs/libtxc_dxtn x11-drivers/nvidia-drivers )
+       media-video/ffmpeg:=
+       >=sci-physics/bullet-2.83
+       virtual/opengl
+       qt5? (
+               app-arch/unshield
+               dev-qt/qtcore:5
+               dev-qt/qtnetwork:5
+               dev-qt/qtopengl:5
+               dev-qt/qtwidgets:5
+       )
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       doc? (
+               app-doc/doxygen
+               dev-python/sphinx
+               media-gfx/graphviz
+       )
+"
+
+S="${WORKDIR}/${PN}-${P}"
+
+src_prepare() {
+       default
+
+       # We don't install license files
+       sed -e '/LICDIR/d' \
+               -i CMakeLists.txt || die
+       # Use the system tinyxml headers
+       sed -e 's/"tinyxml.h"/<tinyxml.h>/g' \
+               -e 's/"tinystr.h"/<tinystr.h>/g' \
+               -i extern/oics/ICSPrerequisites.h || die
+}
+
+src_configure() {
+       use devtools && ! use qt5 && \
+               elog "'qt5' USE flag is disabled, 'openmw-cs' will not be 
installed"
+
+       local mycmakeargs=(
+               -DBUILD_BSATOOL=$(usex devtools)
+               -DBUILD_ESMTOOL=$(usex devtools)
+               -DBUILD_OPENCS=$(usex devtools $(usex qt5))
+               -DBUILD_NIFTEST=$(usex devtools)
+               -DBUILD_LAUNCHER=$(usex qt5)
+               -DBUILD_WIZARD=$(usex qt5)
+               -DBUILD_UNITTESTS=OFF
+               -DGLOBAL_DATA_PATH=/usr/share
+               -DICONDIR="/usr/share/icons/hicolor/256x256/apps"
+               -DMORROWIND_DATA_FILES="/usr/share/morrowind-data"
+               -DUSE_SYSTEM_TINYXML=ON
+               -DDESIRED_QT_VERSION=5
+       )
+
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+
+       if use doc ; then
+               emake -C "${CMAKE_BUILD_DIR}" doc
+               find "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+                       -name '*.md5' -type f -delete || die
+       fi
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       # about 43k files, dodoc seems to have trouble
+       if use doc ; then
+               dodir "/usr/share/doc/${PF}"
+               mv "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+                       "${D}/usr/share/doc/${PF}/" || die
+       fi
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+
+       elog "You need the original Morrowind data files. If you haven't"
+       elog "installed them yet, you can install them straight via the"
+       elog "installation wizard which is the officially supported method"
+       elog "(either by using the launcher or by calling 'openmw-wizard'"
+       elog "directly)."
+
+       if ! use qt5; then
+               elog
+               elog "'qt5' USE flag is disabled, 'openmw-launcher' and"
+               elog "'openmw-wizard' are not available. You are on your own 
for"
+               elog "making the Morrowind data files available and pointing"
+               elog "openmw at them."
+               elog
+               elog "Additionally; you must import the Morrowind.ini file 
before"
+               elog "running openmw with the Morrowind data files for the 
first"
+               elog "time. Typically this can be done like so:"
+               elog
+               elog "    mkdir -p ~/.config/openmw"
+               elog "    openmw-iniimporter /path/to/Morrowind.ini 
~/.config/openmw/openmw.cfg"
+       fi
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to